cURL
curl --request PUT \
--url https://app.aegister.com/api/v1/organizations/{organizationid}/users/{userid} \
--header 'Content-Type: application/json' \
--header 'X-Aegister-Token: <api-key>' \
--data '
{
"email": "jsmith@example.com"
}
'import requests
url = "https://app.aegister.com/api/v1/organizations/{organizationid}/users/{userid}"
payload = { "email": "jsmith@example.com" }
headers = {
"X-Aegister-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Aegister-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://app.aegister.com/api/v1/organizations/{organizationid}/users/{userid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": [],
"data": {
"organization": 123,
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": 1,
"messages": [
"Invalid data provided"
]
}{
"error": 1,
"messages": [
9153
]
}{
"error": 1,
"messages": []
}Users
Edit Organization user
Create Organization’s user.
The authenticated user can edit the user in the organization if is part of the organization and has Owner priviledges.
PUT
/
api
/
v1
/
organizations
/
{organizationid}
/
users
/
{userid}
cURL
Authorizations
ApiKeyAuthApiKeyQueryParam
Path Parameters
If the user is not already registered, this parameter can be 0.
In case is 0, the email field is required in the request body.
Body
application/jsonmultipart/form-data
Define user role inside the organization.
Assignable roles are:
owner: can manage all aspect of the organizationsecurity_officer: can edit basic informations of the organizationviewer: can only view informations of the organization
Available options:
viewer, security_officer, owner This is required if userid path parameter is 0.
⌘I

